Name:		greetdelay
Summary:	Introduce a small delay before an SMTP greeting
Version:	0.04
Release:	1%{?dist}
License:	GPL
Group:		Utilities/System
Source:		http://choon.net/opensource/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:		http://choon.net/greetdelay.php
Packager:	Giam Teck Choon <choonrpms@choon.net>
Requires:	qmail, ucspi-tcp
BuildRequires:	make, gcc

%description

greetdelay is a program to introduce a small delay before an SMTP greeting. It
also enforce RFC 2821's recommendation that SMTP clients not send any commands
before receiving the greeting message.

If RELAYCLIENT is set in environment variable, greetdelay will be skipped. Set
environment variable GREETDELAY to any numberic value greater than 0 to enable
greetdelay to wait for the set value before executing other program.

If SMTP clients send any commands during the greet delay period, "554 smtp
protocol violation (#5.5.1)" will be responsed with "premature input on stdin"
will be printed in stderr and exit with exit code 111.

%prep
%setup

%build
make

%install
rm -fr %{buildroot}
make prefix=%{_prefix} install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*

%changelog

* Sun Oct 24 2010 Giam Teck Choon <choonrpms@choon.net> - 0.04-1
- Initial release
